com.fasterxml.jackson.dataformat.protobuf.schemagen

## Class MessageElementVisitor

- java.lang.Object
- - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base
  - - com.fasterxml.jackson.dataformat.protobuf.schemagen.MessageElementVisitor

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider, com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor, TypeElementBuilder

      public class MessageElementVisitor
      extends com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base
      implements TypeElementBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor

      `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.squareup.protoparser.MessageElement.Builder` | `_builder`
    `protected DefinedTypeElementBuilders` | `_definedTypeElementBuilders`
    `protected Set<com.fasterxml.jackson.databind.JavaType>` | `_nestedTypes`
    `protected com.fasterxml.jackson.dataformat.protobuf.schemagen.TagGenerator` | `_tagGenerator`
    `protected com.fasterxml.jackson.databind.JavaType` | `_type`

    - ### Fields inherited from class com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base

      `_provider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageElementVisitor(com.fasterxml.jackson.databind.SerializerProvider provider, com.fasterxml.jackson.databind.JavaType type, DefinedTypeElementBuilders definedTypeElementBuilders, boolean isNested)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.squareup.protoparser.TypeElement` | `build()`
    `protected com.squareup.protoparser.FieldElement` | `buildFieldElement(com.fasterxml.jackson.databind.BeanProperty writer, com.squareup.protoparser.FieldElement.Label label)`
    `protected com.squareup.protoparser.DataType` | `getDataType(com.fasterxml.jackson.databind.JavaType type)`
    `protected void` | `getTagGenerator(com.fasterxml.jackson.databind.BeanProperty writer)`
    `protected int` | `nextTag(com.fasterxml.jackson.databind.BeanProperty writer)`
    `void` | `optionalProperty(com.fasterxml.jackson.databind.BeanProperty writer)`
    `void` | `optionalProperty(String name, com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable handler, com.fasterxml.jackson.databind.JavaType propertyTypeHint)`
    `void` | `property(com.fasterxml.jackson.databind.BeanProperty writer)`
    `void` | `property(String name, com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable handler, com.fasterxml.jackson.databind.JavaType propertyTypeHint)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base

      `getProvider, setProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _builder

          protected com.squareup.protoparser.MessageElement.Builder _builder

    - #### _tagGenerator

          protected com.fasterxml.jackson.dataformat.protobuf.schemagen.TagGenerator _tagGenerator

    - #### _type

          protected com.fasterxml.jackson.databind.JavaType _type

    - #### _nestedTypes

          protected Set<com.fasterxml.jackson.databind.JavaType> _nestedTypes

    - #### _definedTypeElementBuilders

          protected DefinedTypeElementBuilders _definedTypeElementBuilders

  - ### Constructor Detail

    - #### MessageElementVisitor

          public MessageElementVisitor(com.fasterxml.jackson.databind.SerializerProvider provider,
                                       com.fasterxml.jackson.databind.JavaType type,
                                       DefinedTypeElementBuilders definedTypeElementBuilders,
                                       boolean isNested)

  - ### Method Detail

    - #### build

          public com.squareup.protoparser.TypeElement build()

      Specified by:
        `build` in interface `TypeElementBuilder`

    - #### property

          public void property(com.fasterxml.jackson.databind.BeanProperty writer)
                        throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `property` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor`
      Overrides:
        `property` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### property

          public void property(String name,
                               com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable handler,
                               com.fasterxml.jackson.databind.JavaType propertyTypeHint)

      Specified by:
        `property` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor`
      Overrides:
        `property` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base`

    - #### optionalProperty

          public void optionalProperty(com.fasterxml.jackson.databind.BeanProperty writer)
                                throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `optionalProperty` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor`
      Overrides:
        `optionalProperty` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### optionalProperty

          public void optionalProperty(String name,
                                       com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable handler,
                                       com.fasterxml.jackson.databind.JavaType propertyTypeHint)

      Specified by:
        `optionalProperty` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor`
      Overrides:
        `optionalProperty` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor.Base`

    - #### buildFieldElement

          protected com.squareup.protoparser.FieldElement buildFieldElement(com.fasterxml.jackson.databind.BeanProperty writer,
                                                                            com.squareup.protoparser.FieldElement.Label label)
                                                                     throws com.fasterxml.jackson.databind.JsonMappingException

      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### nextTag

          protected int nextTag(com.fasterxml.jackson.databind.BeanProperty writer)

    - #### getTagGenerator

          protected void getTagGenerator(com.fasterxml.jackson.databind.BeanProperty writer)

    - #### getDataType

          protected com.squareup.protoparser.DataType getDataType(com.fasterxml.jackson.databind.JavaType type)
                                                           throws com.fasterxml.jackson.databind.JsonMappingException

      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

Copyright © 2019 FasterXML. All rights reserved.